> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adullam.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment

> Retrieve details of a specific payment

# Get Payment

Retrieving a specific payment provides detailed information about a particular transaction. Use the Get Payment API to access payment details such as amount, status, and date for a given payment ID.


## OpenAPI

````yaml get /v1/payments/{payment_id}
openapi: 3.0.3
info:
  title: Adullam Payment API
  version: 1.0.0
  description: >
    Adullam is a payment processing platform for mobile money transactions in
    West Africa.


    This API enables developers to:

    - Collect payments from customers via mobile money

    - Send money to recipients

    - Track transactions and account balance


    ## Authentication

    All endpoints (except auth endpoints) require Bearer token authentication.


    ## Base URL

    Production: `https://api.adullam.dev`


    ## Rate Limiting

    - 100 requests per minute

    - 1000 requests per hour
  contact:
    email: support@adullam.dev
    url: https://docs.adullam.dev
  license:
    name: Proprietary
    url: https://adullam.dev/terms
servers:
  - url: https://api.adullam.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Partner authentication and token management
  - name: Payments
    description: Collect money from customers via mobile money
  - name: Transfers
    description: Send money to recipients via mobile money
  - name: Account
    description: Account and balance management
paths:
  /v1/payments/{payment_id}:
    get:
      tags:
        - Payments
      summary: Get payment
      description: Retrieve details of a specific payment
      parameters:
        - $ref: '#/components/parameters/PaymentId'
      responses:
        '200':
          description: Payment details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payment'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PaymentId:
      name: payment_id
      in: path
      required: true
      schema:
        type: string
      description: Payment ID
      example: pay_abc123
  schemas:
    Payment:
      type: object
      properties:
        id:
          type: string
          example: pay_abc123
        status:
          type: string
          enum:
            - created
            - pending
            - processing
            - completed
            - failed
            - expired
            - cancelled
          example: pending
        amount:
          type: integer
          example: 5000
        currency:
          type: string
          example: XOF
        customer_phone:
          type: string
          example: '+22507987654'
        customer_name:
          type: string
          nullable: true
          description: Name retrieved from mobile money operator
          example: KONE ADAMA
        channel:
          type: string
          enum:
            - orangeCI
            - mtnCI
            - moovCI
            - waveCI
          example: orangeCI
        description:
          type: string
          example: 'Order #12345'
        reference:
          type: string
          description: Internal reference
          example: REF_ABC123
        ussd_reference:
          type: string
          nullable: true
          description: Mobile money operator reference
          example: MP240115.1030.A12345
        fees:
          type: integer
          example: 25
        net_amount:
          type: integer
          description: Amount minus fees
          example: 4975
        metadata:
          type: object
          additionalProperties:
            type: string
          example:
            order_id: '12345'
        created_at:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        completed_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-01-15T10:32:00Z'
        failure_reason:
          type: string
          nullable: true
          example: null
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - authentication_error
                - invalid_request
                - insufficient_funds
                - rate_limit_exceeded
                - channel_error
                - transaction_failed
                - server_error
              example: invalid_request
            code:
              type: string
              example: amount_too_low
            message:
              type: string
              example: Amount must be at least 100 XOF
            field:
              type: string
              nullable: true
              example: amount
            request_id:
              type: string
              example: req_abc123
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              type: authentication_error
              code: invalid_token
              message: Invalid or expired access token
              request_id: req_abc123
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              type: invalid_request
              code: resource_not_found
              message: The requested resource was not found
              request_id: req_abc123
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use the access token obtained from /v1/auth/token

````